import { Repository } from "typeorm";
import { Complaint } from "../../common/complaint/complaint.entity";
import { CreateUserComplaintDto } from "./complaint.dto";
export declare class ComplaintService {
    private readonly complaintRepository;
    constructor(complaintRepository: Repository<Complaint>);
    create(createComplaintDto: CreateUserComplaintDto): Promise<Complaint>;
    findByUserId(userId: string, page?: number, limit?: number): Promise<{
        items: Complaint[];
        total: number;
        page: number;
        limit: number;
    }>;
    private generateComplaintId;
}
